use crate::utils::get_jwt_secret;
use jwt::VerifyWithKey;
use std::collections::BTreeMap;

pub fn get_token(token: &str) -> Result<BTreeMap<String, String>, &str> {
    let secret = get_jwt_secret().unwrap();
    let claims = token.verify_with_key(&secret);

    match claims {
        Ok(claims) => Ok(claims),
        Err(_e) => return Err("Error parsing token"),
    }
}
